petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatIsStructurallySymmetric

Test whether a matrix is structurally symmetric

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatIsStructurallySymmetric(Mat A,PetscBool  *flg)

Collective on Mat

### Input Parameter

A -the matrix to test

### Output Parameters

flg -the result

### See Also

MatTranspose(), MatIsTranspose(), MatIsHermitian(), MatIsSymmetric(), MatSetOption()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages